import { ElementRef, Renderer2, SimpleChanges } from "@angular/core";
import type { PersonalizationContainerProps } from "./personalization-container.types";
import * as i0 from "@angular/core";
export default class PersonalizationContainer {
    private renderer;
    builderContext: PersonalizationContainerProps["builderContext"];
    builderBlock: PersonalizationContainerProps["builderBlock"];
    variants: PersonalizationContainerProps["variants"];
    attributes: PersonalizationContainerProps["attributes"];
    previewingIndex: PersonalizationContainerProps["previewingIndex"];
    builderComponents: PersonalizationContainerProps["builderComponents"];
    rootRef: ElementRef;
    elRef0: ElementRef;
    _listenerFns: Map<string, () => void>;
    userAttributes: any;
    scriptStr: any;
    updateVisibilityStylesScript: any;
    unsubscribers: any[];
    shouldRenderVariants: any;
    shouldResetVariants: boolean;
    get attrs(): any;
    get filteredVariants(): {
        blocks: import("@builder.io/sdk-angular").BuilderBlock[];
        query: import("./helpers").Query[];
        startDate?: string;
        endDate?: string;
    }[];
    get blocksToRender(): {
        blocks: import("@builder.io/sdk-angular").BuilderBlock[];
        path: string;
        index: number | "default";
    };
    get hideVariantsStyleString(): string;
    node_0_Show: any;
    node_1_Blocks: any;
    node_2_Show: any;
    node_3_InlinedStyles: any;
    node_4_InlinedScript: any;
    node_5_Blocks: (variant: any, index: any) => any;
    node_6_Blocks: (variant: any, index: any) => string;
    node_7_InlinedScript: (variant: any, index: any) => string;
    node_8_Blocks: any;
    node_9_InlinedScript: any;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    trackByVariant0(index: any, variant: any): string;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PersonalizationContainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PersonalizationContainer, "personalization-container", never, { "builderContext": { "alias": "builderContext"; "required": false; }; "builderBlock": { "alias": "builderBlock"; "required": false; }; "variants": { "alias": "variants"; "required": false; }; "attributes": { "alias": "attributes"; "required": false; }; "previewingIndex": { "alias": "previewingIndex"; "required": false; }; "builderComponents": { "alias": "builderComponents"; "required": false; }; }, {}, never, never, true, never>;
}
