import { ElementRef, Renderer2, SimpleChanges } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * This import is used by the Svelte SDK. Do not remove.
 */
export interface ImgProps {
    attributes?: any;
    imgSrc?: string;
    image?: string;
    altText?: string;
    backgroundSize?: "cover" | "contain";
    backgroundPosition?: "center" | "top" | "left" | "right" | "bottom" | "top left" | "top right" | "bottom left" | "bottom right";
}
export default class ImgComponent {
    private renderer;
    backgroundSize: ImgProps["backgroundSize"];
    backgroundPosition: ImgProps["backgroundPosition"];
    imgSrc: ImgProps["imgSrc"];
    image: ImgProps["image"];
    altText: ImgProps["altText"];
    attributes: ImgProps["attributes"];
    elRef0: ElementRef;
    _listenerFns: Map<string, () => void>;
    get srcSetToUse(): string;
    node_0_img: any;
    node_1_img: any;
    elRef0_state_0: any;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImgComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImgComponent, "img-component", never, { "backgroundSize": { "alias": "backgroundSize"; "required": false; }; "backgroundPosition": { "alias": "backgroundPosition"; "required": false; }; "imgSrc": { "alias": "imgSrc"; "required": false; }; "image": { "alias": "image"; "required": false; }; "altText": { "alias": "altText"; "required": false; }; "attributes": { "alias": "attributes"; "required": false; }; }, {}, never, never, true, never>;
}
